---
api: 'Business API'
---

# Create a payout link

Create a payout link to send money even when you don't have the full banking details of the counterparty.  
After you have created the link, send it to the recipient so that they can claim the payment.

:::note
This feature is available in the UK, the EEA, AU, and SG.
:::

For more information, see the guides: [Send money via payout link](/docs/guides/manage-accounts/transfers/payout-links).

## Endpoint

POST `/payout-links`

## Request body

Payout link to create

### Attributes

- `counterparty_name` (string)
    The name of the counterparty provided by the sender.
- `save_counterparty` (boolean, optional)
    Indicates whether to save the recipient as your counterparty upon link claim.
    If `false` then the counterparty will not show up on your counterparties list, for example, when you retrieve your counterparties. 
    However, you will still be able to retrieve this counterparty by its ID.
    
    If you don't choose to save the counterparty on link creation, you can do it later from your transactions list in the Business app.
- `request_id` (string)
    The ID of the request, provided by the sender.
    
    :::warning
    To ensure that a link payment is not processed multiple times if there are network or system errors, the same `request_id` should be used for requests related to the same link.
    :::
- `account_id` (string)
    The ID of the sender's account.
- `amount` (number)
    The amount of money to be transferred.
    
    :::note
    The amount must be between £1 and £2,500, or equivalent in the selected currency.
    :::
- `currency` (string)
    [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
- `reference` (string)
    The reference for the payout link.
    A piece of text or number you provide to help identify what the payment relates to.
    It can be used, for example, for reconciliation or tracking purposes.
    
    You might include an invoice number, account or transaction ID, or any other reference meaningful to you or the recipient.
- `payout_methods` (array of enum, optional)
    The list of payout methods that the recipient can use to claim the payout, where:
    - `revolut`: Revolut peer-to-peer (P2P) transfer
    - `bank_account`: External bank transfer
    - `card`: Card transfer
      :::note
      - This payout method is available in the UK and the EEA.
      - This payout method is not available in Sandbox.
      :::
- `expiry_period` (string, optional)
    The period after which the payout link expires if not claimed before, provided in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
    
    The default and maximum value is 7 days from the link creation.
- `transfer_reason_code` (string, optional)
    The reason code for the transaction. Transactions to certain countries and currencies might require you to provide a transfer reason. 
    You can check available reason codes with the [`GET /transfer-reasons` operation](/docs/api/business#get-transfer-reasons).
    
    If a transfer reason is not required for the given currency and country, this field is ignored.

## Returns

### 201

Created payout link details

#### Response attributes

- `id` (string)
    The ID of the payout link.
- `state` (enum)
    The state that the payout link is in. Possible states are:
    - `created`: The payout link has been created, but the amount has not yet been [blocked](/docs/guides/manage-accounts/transfers/payout-links#sender-link-generation).
    - `failed`: The payout link couldn't be generated due to a failure during transaction booking.
    - `awaiting`: The payout link is awaiting approval.
    - `active`: The payout link can be redeemed.
    - `expired`: The payout link cannot be redeemed because it wasn't claimed before its expiry date.
    - `cancelled`: The payout link cannot be redeemed because it was cancelled.
    - `processing`: The payout link has been redeemed and is being processed.
    - `processed`: The payout link has been redeemed and the money has been transferred to the recipient.
    Possible enum values:

    - `created`
    - `failed`
    - `awaiting`
    - `active`
    - `expired`
    - `cancelled`
    - `processing`
    - `processed`
- `created_at` (string)
    The date and time the payout link was created in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
- `updated_at` (string)
    The date and time the payout link was last updated in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
- `counterparty_name` (string)
    The name of the counterparty provided by the sender.
- `save_counterparty` (boolean)
    Indicates whether you chose to save the recipient as your counterparty upon link claim. 
    If `false` then the counterparty will not show up on your counterparties list, for example, when you [retrieve your counterparties](/docs/api/business#get-counterparties). 
    However, you can still [retrieve this counterparty by its ID](/docs/api/business#get-counterparty).
    
    If you didn't choose to save the counterparty on link creation, you can still do it from your transactions list in the Business app.
- `request_id` (string)
    The ID of the request, provided by the sender.
- `expiry_date` (string, optional)
    The date and time after which the payout link expires in [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601).
    If the recipient doesn't claim the money before then, the payout link expires and is no longer available.
    
    The default and maximum value is the date and time of creating the link + 7 days.
- `payout_methods` (array of enum)
    The list of payout methods that the recipient can use to claim the payout, where:
    - `revolut`: Revolut peer-to-peer (P2P) transfer
    - `bank_account`: External bank transfer
    - `card`: Card transfer
      :::note
      - This payout method is available in the UK and the EEA.
      - This payout method is not available in Sandbox.
      :::
- `account_id` (string)
    The ID of the sender's account.
- `amount` (number)
    The amount of money to be transferred.
    
    :::note
    The amount must be between £1 and £2,500, or equivalent in the selected currency.
    :::
- `currency` (string)
    [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code in upper case.
- `url` (string, optional)
    The URL of the payout link. Returned only for active payout links.
- `reference` (string)
    The reference for the payout transaction, provided by the sender.
- `transfer_reason_code` (string, optional)
    The reason code for the transaction. Transactions to certain countries and currencies might require you to provide a transfer reason. 
    You can check available reason codes with the [`GET /transfer-reasons` operation](/docs/api/business#get-transfer-reasons).
    
    If a transfer reason is not required for the given currency and country, this field is ignored.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 403 | Forbidden |
